//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include "trayicon.h"
#include <Menus.hpp>
#include <ImgList.hpp>
#include <Dialogs.hpp>
#include <FileCtrl.hpp>
#include "ToolEdit.hpp"
#include <Mask.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
#include <ExtDlgs.hpp>
//---------------------------------------------------------------------------
class TFMain : public TForm
{
__published:	// IDE-managed Components
        TBitBtn *bRestore;
        TPopupMenu *MPop;
        TTrayIcon *Tray;
        TImageList *IList;
        TMenuItem *N1;
        TBitBtn *bShutdown;
        TTreeView *Tree;
        TOpenDialog *OD;
        TStatusBar *SBar;
        TLabel *Label1;
        TStaticText *STUser;
        TStaticText *STComp;
        TLabel *Label2;
        TBitBtn *bAbout;
        TBitBtn *bSection;
        TTimer *Tm;
        TEdit *eSection;
        TBitBtn *BitBtn1;
        TBitBtn *bObo;
        TSpeedButton *SpeedButton1;
        TSpeedButton *SpeedButton2;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall bRestoreClick(TObject *Sender);
        void __fastcall FormKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall bShutdownClick(TObject *Sender);
        void __fastcall TreeMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
        void __fastcall TreeKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall TreeDblClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall SBarDrawPanel(TStatusBar *StatusBar,
          TStatusPanel *Panel, const TRect &Rect);
        void __fastcall TreeChange(TObject *Sender, TTreeNode *Node);
        void __fastcall bAboutClick(TObject *Sender);
        void __fastcall bSectionClick(TObject *Sender);
        void __fastcall TmTimer(TObject *Sender);
        void __fastcall TreeEdited(TObject *Sender, TTreeNode *Node,
          AnsiString &S);
        void __fastcall TreeEditing(TObject *Sender, TTreeNode *Node,
          bool &AllowEdit);
        void __fastcall eSectionChange(TObject *Sender);
        void __fastcall BitBtn1Click(TObject *Sender);
        void __fastcall bOboClick(TObject *Sender);
        void __fastcall SpeedButton1Click(TObject *Sender);
        void __fastcall SpeedButton2Click(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall TreeDragDrop(TObject *Sender, TObject *Source,
          int X, int Y);
        void __fastcall TreeMouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
        void __fastcall TreeDragOver(TObject *Sender, TObject *Source,
          int X, int Y, TDragState State, bool &Accept);
private:	// User declarations
        void __fastcall DisableAllMenus(bool val);
        bool __fastcall GetPrivileges(AnsiString sp);
        void __fastcall ARebootExecute(TObject *Sender);
        void __fastcall AShutdownExecute(TObject *Sender);
        void __fastcall WmDropFiles(TWMDropFiles& Message);
        void __fastcall AddFile(char *buff);
        void __fastcall WriteIni();
        int drx, dry, bddx, bddy;
        bool isAdmin;
        bool isOSNT;
        Graphics::TBitmap *Sw[2];
        AnsiString smDir;
        int numEditNode;
public:		// User declarations
        __fastcall TFMain(TComponent* Owner);
        BEGIN_MESSAGE_MAP
        MESSAGE_HANDLER(WM_DROPFILES, TWMDropFiles, WmDropFiles);
        END_MESSAGE_MAP(TForm)
};
//---------------------------------------------------------------------------
extern PACKAGE TFMain *FMain;
//---------------------------------------------------------------------------
#endif
